HostDatas (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.xml

## Class HostDatas

- java.lang.Object
- - org.cloudbus.cloudsim.xml.HostDatas

-     public class HostDatas
      extends Object

  This class contains all Host parameters
  Author:
    Guérout Tom, Monteil Thierry, Da Costa Georges | LAAS - IRIT , Toulouse, France Please cite: T. Guérout et al., Energy-aware simulation with DVFS, Simulat. Modell. Pract. Theory (2013), http://dx.doi.org/10.1016/j.simpat.2013.04.007

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostDatas()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBw()`
    `ArrayList<Double>` | `getCpuFrequencies()`
    `int` | `getCpus()`
    `DvfsDatas` | `getDvfsDatas()`
    `HashMap<Integer,String>` | `getHTGovs()`
    `String` | `getHtGovValue(int num_cpu)`
    `int` | `getMaxP()`
    `int` | `getMips()`
    `int` | `getRam()`
    `double` | `getStaticPP()`
    `int` | `getStorage()`
    `boolean` | `isDvfsEnable()`
    `boolean` | `isOnoffEnable()`
    `void` | `putHtGovKeys(int num_cpu, String gov)`
    `void` | `setBw(int bw)`
    `void` | `setCpuFrequencies(ArrayList<Double> v)`
    `void` | `setCpus(int cpus)`
    `void` | `setDvfsDatas(DvfsDatas DvfsDatas)`
    `void` | `setDvfsEnable(boolean dvfs_enable)`
    `void` | `setMaxP(int maxP)`
    `void` | `setMips(int mips)`
    `void` | `setOnoffEnable(boolean onoff)`
    `void` | `setRam(int ram)`
    `void` | `setStaticPP(double staticPP)`
    `void` | `setStorage(int storage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HostDatas

          public HostDatas()

  - ### Method Detail

    - #### getDvfsDatas

          public DvfsDatas getDvfsDatas()

    - #### setDvfsDatas

          public void setDvfsDatas(DvfsDatas DvfsDatas)

    - #### setCpuFrequencies

          public void setCpuFrequencies(ArrayList<Double> v)

    - #### getCpuFrequencies

          public ArrayList<Double> getCpuFrequencies()

    - #### isOnoffEnable

          public boolean isOnoffEnable()

    - #### setOnoffEnable

          public void setOnoffEnable(boolean onoff)

    - #### isDvfsEnable

          public boolean isDvfsEnable()

    - #### setDvfsEnable

          public void setDvfsEnable(boolean dvfs_enable)

    - #### getHTGovs

          public HashMap<Integer,String> getHTGovs()

    - #### putHtGovKeys

          public void putHtGovKeys(int num_cpu,
                          String gov)

    - #### getHtGovValue

          public String getHtGovValue(int num_cpu)

    - #### getBw

          public int getBw()

    - #### setBw

          public void setBw(int bw)

    - #### getCpus

          public int getCpus()

    - #### setCpus

          public void setCpus(int cpus)

    - #### getMaxP

          public int getMaxP()

    - #### setMaxP

          public void setMaxP(int maxP)

    - #### getMips

          public int getMips()

    - #### setMips

          public void setMips(int mips)

    - #### getRam

          public int getRam()

    - #### setRam

          public void setRam(int ram)

    - #### getStaticPP

          public double getStaticPP()

    - #### setStaticPP

          public void setStaticPP(double staticPP)

    - #### getStorage

          public int getStorage()

    - #### setStorage

          public void setStorage(int storage)

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.